//
//  FaceFilterItemCell.swift
//  WoWonder
//
//  Created by iMac on 29/04/25.
//  Copyright © 2025 ScriptSun. All rights reserved.
//

import UIKit
import SDWebImage

class FaceFilterItemCell: UICollectionViewCell {
    
    @IBOutlet weak var maskImageView: UIImageView!

    override func awakeFromNib() {
        super.awakeFromNib()
        
        // Initialization code
        
    }
    
    func setData(item: FaceModel) {
        let url = URL(string: item.image)
        let indicator = SDWebImageActivityIndicator.medium
        self.maskImageView.sd_imageIndicator = indicator
        DispatchQueue.global(qos: .userInteractive).async {
            self.maskImageView.sd_setImage(with: url, placeholderImage: UIImage(named: ""))
        }
    }

}
